# Defines functions for this feature

require 'virtualmin-announce-lib.pl';

# feature_name()
# Returns a short name for this feature
sub feature_name
{
return $text{'feat_name'};
}

# theme_sections()
# If defined, should return a list of extra sections to be displayed (typically
# on the right-hand frame) of a theme. Each must be a hash ref containing the
# keys 'title' (section heading), 'html' (contents of the section) and
# 'status' (open or not by default). It can also contain 'for_master',
# 'for_reseller' and 'for_owner' flags, indicating if the section should be
# visible to master admins, resellers and domain owners.
sub theme_sections
{
return ( ) if (!$config{'url'});
my $html;
if ($config{'iframe'}) {
	# Return HTML referencing the URL in a frame
	$html = "<iframe src='$config{'url'}' ".
	        "width=$config{'width'} height=$config{'height'} ".
	        "frameborder=0 marginwidth=0 marginheight=0>\n"; }
else {
	# Download and show HTML
	my ($host, $port, $page, $ssl) = &parse_http_url($config{'url'});
	my ($out, $error);
	&http_download($host, $port, $page, \$out, \$error, undef, $ssl);
	if (!$error) {
		$html = $out;
		}
	}
if ($html) {
	my @fors = map { 'for_'.$_ => 1 } split(/,/, $config{'visible'});
	return ( { 'name' => $module_name,
		   'title' => $config{'title'} || $text{'right_title'},
		   'html' => $html,
		   'status' => $config{'status'},
		   @fors } );
	}
return ( );
}

1;

